Export (0) Print
Expand All

AutoUpgrade (Silverlight Plug-in Object)

Silverlight

Sets a value that indicates whether a Silverlight plug-in version earlier than the specified minRuntimeVersion will attempt to update automatically.

object Element

<object ...>
  <param name="autoUpgrade" value="bool"/>
  ...
</object>

Silverlight.js

Silverlight.CreateObject(,,,{autoUpgrade:'bool'});
-or-
Silverlight.CreateObjectEx({properties:{autoUpgrade:'bool'}})

JavaScript

Not available.

COM

Not available.

Managed Code

Not available.

true if a Silverlight plug-in version earlier than minRuntimeVersion should attempt to update automatically; otherwise, false. The default is true.

Setting autoUpgrade has no effect unless you also set minRuntimeVersion.

If an upgrade is required and you set autoUpgrade to true, the plug-in will prompt the user to upgrade and then to restart the Web browser.

If an upgrade is required, the following errors occur, regardless of the autoUpgrade setting:

  • 8001 - Upgrade required.

  • 8002 - Browser restart required.

You can respond to these errors in an OnError handler in order to display your own upgrade and browser restart messages. In this case, however, you typically do not set autoUpgrade to true.

Community Additions

ADD
Show:
© 2014 Microsoft